> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new API key



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml post /apikey/add
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /apikey/add:
    post:
      tags:
        - api
      summary: Create new API key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                shared:
                  type: boolean
                  description: >-
                    If true, the new API key will shared your credit line. If
                    false, the new API key will have its own credit.
                currency:
                  type: string
                  description: >-
                    Currency for the API key. If the new API key is shared, the
                    currency must be the same as the parent API key(!)
                  default: CZK
                  enum:
                    - EUR
                    - CZK
      responses:
        '200':
          description: New API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Success status.
                    example: true
                  apikey:
                    type: string
                    description: New API key.
                    example: '1234567890'
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````